Bug 63119 - Undefined symbol in xie module
Undefined symbol in xie module
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86-Servers (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-04-10 04:59 EDT by diego.santacruz
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-12 05:21:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description diego.santacruz 2002-04-10 04:59:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020326

Description of problem:
When starting X (ver 4.2.0-6.52) the xie module does not load, it complains
about the undefined symbol XieInitPtr

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure XF86Config to load the xie module
2. start X

Actual Results:  the xie module does not load and the following appears in the X
server log:

(==) Using config file: "/etc/X11/XF86Config-4"
dlopen: /usr/X11R6/lib/modules/xie.so: undefined symbol: XieInitPtr
(EE) Failed to load /usr/X11R6/lib/modules/xie.so
(EE) Failed to load module "xie" (loader failed, -1073753000)

Expected Results:  xie module loaded

Additional info:
Comment 1 Bill Nottingham 2002-04-10 18:23:23 EDT
What package owns /usr/X11R6/lib/modules/xie.so on your system?
Comment 2 Mike A. Harris 2002-04-11 08:53:40 EDT
XIE is deprecated and no longer built or provided.  Your config file should
not contain any lines listing XIE or PEX.  Remove these lines and the problem
should go away.

I suppose one of 2 things should happen:

1) Both anaconda, and Xconfigurator should remove any references to PEX and
   XIE in the config file(s).


2) The XFree86 packaging should automatically remove these lines from the
   config files during upgrades.

I am considering adding this to XFree86 packaging.  Comments?

Comment 3 Mike A. Harris 2002-04-11 09:28:45 EDT
Please provide the output of:

rpm -qa | sort

This is fairly urgent as well, so please provide it today if possible.
Comment 4 Mike A. Harris 2002-04-11 12:51:15 EDT
Also, please attach your XFree86 config files, and X server log.

XFree86-compat-modules-3.3.6-44 is part of XFree86 server 3.3.6, and
is not used by XFree86 4.x by the way.
Comment 5 diego.santacruz 2002-04-12 05:21:14 EDT
1. /usr/X11R6/lib/modules/xie.so belongs to XFree86-compat-modules-3.3.6-44

2. I have not installed skipjack2 on my machine. It's a RedHat 7.2 on which I
upgraded XFree (and the packages it depends on) to those of skipjack2 (I wanted
to have XFree 4.2).

3. I did remove XIE from the list of modules to load in XF86Config-4, so now I
have no problem now.

I guess the best solution is to have the packaging remove (or warn about) the
xie line.

Thanks for the feedback.
Comment 6 Mike A. Harris 2002-04-12 06:25:35 EDT
Ok thanks.  I've added code to XFree86's post install script to strip
XIE from XF86Config-4.  Will be in 4.2.0-6.63 and later.

Note You need to log in before you can comment on or make changes to this bug.